## Script (Python) "getClearanceInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id: getTransferInfo.py 1313 2007-01-17 10:39:19Z joachim $
"""
return Info about the current Student
"""
import logging
logger = logging.getLogger('Student.Clearance.Info')
from DateTime import DateTime

request = context.REQUEST
mtool = context.portal_membership
wf = context.portal_workflow
member = mtool.getAuthenticatedMember()
member_id = str(member)
path_info = request.get('PATH_INFO').split('/')

if mtool.isAnonymousUser():
    return None
info = {}
#from Products.zdb import set_trace
#set_trace()
requested_id = context.getStudentId()
if requested_id and not context.isStaff() and member_id != requested_id:
    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
    return None
elif context.isStaff():
    student_id = requested_id
else:
    student_id = member_id


students_object = context.portal_url.getPortalObject().campus.students
#student = getattr(students_object, student_id)
res = context.students_catalog(id = student_id)
if len(res) != 1:
    return None
sbrain = res[0]
info['id'] = student_id
info['student'] = context.getFormattedStudentEntry(sbrain)
info['entry_mode'] = sbrain.entry_mode
results = context.results_import(matric_no=matric_no)
taken = []
if len(results) > 0:
    for r in results:
        taken.append(r)
info['taken'] = taken
return info
